Skip to main content
GET
/
api
/
ml
/
v1
/
artifact-versions
List artifact versions
curl --request GET \
  --url https://{controlPlaneURL}/api/ml/v1/artifact-versions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "fqn": "<string>",
      "created_by_subject": {
        "subjectId": "<string>",
        "subjectType": "user",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>"
      },
      "manifest": {
        "name": "<string>",
        "metadata": {},
        "ml_repo": "<string>",
        "source": {
          "type": "truefoundry",
          "uri": "<string>"
        },
        "description": "<string>",
        "version_alias": "<string>",
        "version": 2,
        "type": "artifact-version",
        "step": 0,
        "run_id": "<string>"
      },
      "ml_repo_id": "<string>",
      "artifact_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "usage_code_snippet": "<string>",
      "tags": [
        "<string>"
      ]
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tag
string

Tag to filter artifact versions by

fqn
string

Fully qualified name to filter artifact versions by (format: '{artifact_type}:{tenant_name}/{ml_repo_name}/{artifact_name}' or '{artifact_type}:{tenant_name}/{ml_repo_name}/{artifact_name}:{version}')

artifact_id
string

ID of the artifact to filter versions by

ml_repo_id
string

ID of the ML Repo to filter artifact versions by

name
string

Name of the artifact to filter versions by

version

Version number (positive integer) or 'latest' to filter by specific version

run_ids
string[]

List of run IDs to filter artifact versions by

run_steps
integer[]

List of run step numbers to filter artifact versions by

offset
integer
default:0

Number of artifact versions to skip for pagination

limit
integer

Maximum number of artifact versions to return

include_internal_metadata
boolean
default:false

Whether to include internal metadata in the response

Response

List of artifact versions matching the query with pagination information

data
ArtifactVersion · object[]
required

List of artifact versions matching the query

pagination
Pagination · object
required

Pagination information including total count, offset, and limit